import request from '@/utils/request'
export function recentLive() {
  return request({
    url: '/liveData/liveData/recentLive',
    method: 'get',
  })
}

export function liveTop(query) {
  return request({
    url: '/liveData/liveData/getLiveTop',
    method: 'get',
    params: query
  })
}
export function getTrendData(queryParams) {
  return request({
    url: '/liveData/liveData/getTrendData',
    method: 'post',
    data: queryParams
  })
}

export function columns() {
  return request({
    url: '/liveData/liveData/columns',
    method: 'get',
  })
}


export function updateColumns(columns) {
  return request({
    url: '/liveData/liveData/updateColumns',
    method: 'post',
    data:columns,
  })
}

export function queryStudentData(query) {
  return request({
    url: '/live/studentData/queryStudentData',
    method: 'post',
    data:query,
  })
}

